// Example 2

// Use GUI to select file
filename = uigetfile()

// Open selected file for reading in binary mode
fin = mopen(filename, 'rb')

// Find end-of-file
mseek(0,fin,'end')
eof = mtell(fin)
mseek(0,fin,'set')
file_length = eof / 8

// Read in data as Doubles
d = mget(file_length,'d',fin);

// Close file
mclose(fin);

// Clear plot window
xbasc();

// Plot with titles
plot2d(d);

// Label axes and title
xtitle('Sine Wave', 'Time', 'Magitude');

